be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDORTHOTYPEvalues

- java.lang.Object
- - java.lang.Enum<CDORTHOTYPEvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHOTYPEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDORTHOTYPEvalues>

      public enum CDORTHOTYPEvalues
      extends Enum<CDORTHOTYPEvalues>

  Java class for CD-ORTHO-TYPEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ORTHO-TYPEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="primaryprocedure"/>
           <enumeration value="revisionwithprosthesis"/>
           <enumeration value="osteosynthesis"/>
           <enumeration value="resection"/>
           <enumeration value="arthrodesis"/>
           <enumeration value="amputation"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMPUTATION`
    `ARTHRODESIS`
    `OSTEOSYNTHESIS`
    `PRIMARYPROCEDURE`
    `RESECTION`
    `REVISIONWITHPROSTHESIS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDORTHOTYPEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDORTHOTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDORTHOTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMARYPROCEDURE

          public static final CDORTHOTYPEvalues PRIMARYPROCEDURE

    - #### REVISIONWITHPROSTHESIS

          public static final CDORTHOTYPEvalues REVISIONWITHPROSTHESIS

    - #### OSTEOSYNTHESIS

          public static final CDORTHOTYPEvalues OSTEOSYNTHESIS

    - #### RESECTION

          public static final CDORTHOTYPEvalues RESECTION

    - #### ARTHRODESIS

          public static final CDORTHOTYPEvalues ARTHRODESIS

    - #### AMPUTATION

          public static final CDORTHOTYPEvalues AMPUTATION

  - ### Method Detail

    - #### values

          public static CDORTHOTYPEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDORTHOTYPEvalues c : CDORTHOTYPEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDORTHOTYPEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDORTHOTYPEvalues fromValue(String v)

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.